/**
 * GivePlayerItem with custom models
 *
 * @param client     Client
 * @param weaponname     Weapon's name
 * @param viewmodel     Weapon's view model
 * @param worldmodel     Weapon's world model
 * @param droppedmodel     Weapon's dropped model
 * @return         weapon's index
 */
native int WCM_GivePlayerItem(int client, char[] weaponname, char[] viewmodel = "none", char[] worldmodel = "none", char[] droppedmodel = "none")

/**
 * GivePlayerItem with custom models
 *
 * @param client     Client
 * @param weaponname     Weapon's name
 * @param viewmodel     Weapon's view model
 * @param worldmodel     Weapon's world model
 * @param droppedmodel     Weapon's dropped model
 * @return         weapon's index
 */
native int WCM_GivePlayerItemNoReplace(int client, char[] weaponname, char[] viewmodel = "none", char[] worldmodel = "none", char[] droppedmodel = "none")

/**
 * Get VModelIndex
 *
 * @param client     Client
 * @return         ViewModelIndex of client
 */
native int WCM_GetClientVModelIndex(int client)

/**
 * @brief When set view model
 *
 * @param client			client index
 * @param weapon			weapon index
 * @param viewmodelentity	ViewModel index
 * @param model				Path to model
 */
forward WCM_OnSetVModelPost(int client, int weapon, int viewmodelentity, const char[] model)

/**
 * @brief When set world model
 *
 * @param client			client index
 * @param weapon			weapon index
 * @param worldmodelentity	ViewModel index
 * @param model				Path to model
 */
forward WCM_OnSetWModelPost(int weapon, int worldmodelentity, const char[] model)

/**
 * @brief When set drop model
 *
 * @param weapon			weapon index
 * @param model				Path to model
 */
forward WCM_OnSetDModelPost(int weapon, const char[] model)

/**
 * @brief When get ViewModelIndex of client
 *
 * @param client			client index
 * @param modelindex				Model index
 */
forward WCM_OnGetClientVModel(int client, int vmodelindex)